wok rev 21680

updated phonon-vlc (0.8.2 -> 0.10.2)
author Hans-G?nter Theisgen
date Sun Jun 02 14:42:22 2019 +0100 (23 months ago)
parents e2cce68f63bb
children 09e7c7aade33
files phonon-vlc/receipt
line diff
     1.1 --- a/phonon-vlc/receipt	Sun Jun 02 11:16:48 2019 +0100
     1.2 +++ b/phonon-vlc/receipt	Sun Jun 02 14:42:22 2019 +0100
     1.3 @@ -1,30 +1,30 @@
     1.4  # SliTaz package receipt.
     1.5  
     1.6  PACKAGE="phonon-vlc"
     1.7 -VERSION="0.8.2"
     1.8 +VERSION="0.10.2"
     1.9  CATEGORY="libs"
    1.10  SHORT_DESC="VLC backend for libphonon"
    1.11  MAINTAINER="psychomaniak@xakep.ru"
    1.12  LICENSE="LGPL2.1"
    1.13 -SOURCE="phonon-backend-vlc"
    1.14 -TARBALL="$SOURCE-$VERSION.tar.xz"
    1.15  WEB_SITE="https://phonon.kde.org/"
    1.16 -WGET_URL="http://download.kde.org/stable/phonon/$SOURCE/$VERSION/src/$TARBALL"
    1.17  
    1.18 -DEPENDS="libQtCore libQtDBus libQtGui libQtXml phonon libvlc"
    1.19 -BUILD_DEPENDS="phonon cmake qmake automoc4 Qt4-dev libvlc-dev phonon-dev"
    1.20 +#SOURCE="phonon-backend-vlc"
    1.21 +TARBALL="$PACKAGE-$VERSION.tar.gz"
    1.22 +WGET_URL="https://github.com/KDE/$PACKAGE/archive/v$VERSION.tar.gz"
    1.23 +
    1.24 +DEPENDS="libQtCore libQtDBus libQtGui libQtXml libvlc phonon"
    1.25 +BUILD_DEPENDS="automoc4 cmake libvlc-dev phonon phonon-dev qmake Qt4-dev"
    1.26  
    1.27  compile_rules()
    1.28  {
    1.29 -		mkdir build; cd build
    1.30 -	cmake \
    1.31 -		-DCMAKE_INSTALL_PREFIX=/usr \
    1.32 -		-DCMAKE_BUILD_TYPE=Release \
    1.33 -		-DCMAKE_SKIP_RPATH=ON \
    1.34 -		-DCMAKE_INSTALL_PREFIX=/usr \
    1.35 -		-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON \
    1.36 -		-DCMAKE_INSTALL_LIBDIR=lib \
    1.37 -		.. &&
    1.38 +	mkdir build
    1.39 +	cd build
    1.40 +	cmake	..				\
    1.41 +		-DCMAKE_INSTALL_PREFIX=/usr	\
    1.42 +		-DCMAKE_BUILD_TYPE=Release	\
    1.43 +		-DCMAKE_SKIP_RPATH=ON		\
    1.44 +		-DCMAKE_INSTALL_PREFIX=/usr	\
    1.45 +		-DCMAKE_INSTALL_LIBDIR=lib &&
    1.46  	make &&
    1.47  	make DESTDIR=$DESTDIR install
    1.48  }